activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From werdex <hodchenko...@belhard.com>
Subject MSSQL 3.0 support
Date Mon, 10 Jan 2011 09:36:00 GMT

Hello!

I'm trying to use MS SQL database as ActiveMQ datastore, so I've put MS SQL
driver 3.0 (sqljdbc4.jar) in $ACTIVE_MQ/lib folder and configured MS SQL
datasource. But when I start ActiveMQ I get the following error message:

INFO | Database adapter driver override not found for :
[microsoft_sql_server_jdbc_driver_3_0].  Will use default implementation.
 WARN | Could not create JDBC tables; they could already exist. Failure was:
CREATE TABLE ACTIVEMQ_MSGS(ID BIGINT NOT NULL, CONTAINER VARCHAR(250),
MSGID_PROD VARCHAR(250), MSGID_SEQ BIGINT, EXPIRATION BIGINT, MSG BLOB,
PRIMARY KEY ( ID ) ) Message: Column, parameter, or variable #6: Cannot find
data type BLOB. SQLState: S0007 Vendor code: 2715

I found the similar problem description here:
http://activemq.2283324.n4.nabble.com/activemq-and-sql-server-2008-td2367448.html

But it relates to 2.0 version of MS SQL driver. I can't use version 2.0,
because it complains that it does not work with java 1.6. So, I opened
META-INF/services/org/apache/activemq/store/jdbc folder in
$ACTIVEMQ_HOME/lib/activemq-core-5.4.2.jar and copied
microsoft_sql_server_jdbc_2_0_driver as
microsoft_sql_server_jdbc_driver_3_0. After that ActiveMQ started
successfully.

I'm interested if it is a good workaround and whether MS SQL 3.0 support is
planned in future releases of ActiveMQ?

Thanks in advance.

-- 
View this message in context: http://activemq.2283324.n4.nabble.com/MSSQL-3-0-support-tp3206822p3206822.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message